> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/iap/iap.getcompletedorrefundedorders.md).

# IAP.getCompletedOrRefundedOrders

### 기능 설명

인앱결제로 구매하거나 환불한 주문 목록을 가져와요.

응답의 `hasNext` / `nextKey`로 다음 페이지가 있는지 알 수 있어요. 웹 SDK에서는 파라미터를 받지 않고 항상 첫 페이지를 가져와요.

토스앱 Android/iOS `5.231.0` 이상에서 사용할 수 있어요. 미지원 버전에서 호출하면 `UNSUPPORTED_APP_VERSION` 에러가 발생해요.

### 타입

```ts
IAP.getCompletedOrRefundedOrders(): Promise<CompletedOrRefundedOrdersResult>;
```

**Params**

없음

**Response**

```ts
type CompletedOrRefundedOrdersResult = {
  hasNext: boolean;
  nextKey?: string | null;
  orders: Array<{
    orderId: string;
    sku: string;
    status: "COMPLETED" | "REFUNDED";
    /** ISO 8601 (예: 2025-09-22T00:00:00) */
    date: string;
  }>;
};
```

### 에러

에러 코드는 catch한 에러의 `error.code` 값이에요.

| 코드                        | 설명                                                                                                                                                 |
| ------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | 실행 중인 토스앱 버전이 이 기능을 지원하지 않으면 호출 즉시 발생해요. `IAP.getCompletedOrRefundedOrders.isSupported()`로 사전 확인하고, 발생 시 `error.message`(업데이트 안내 문구)를 사용자에게 보여주세요. |

### 예시 코드

```js
import { IAP } from "@apps-in-toss/web-framework";

try {
  const response = await IAP.getCompletedOrRefundedOrders();
  console.log(response.orders);
} catch (error) {
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/iap/iap.getcompletedorrefundedorders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
